<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateCustompricesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: customprices
         */
        Schema::create('customprices', function ($table) {
            $table->increments('id');
            $table->integer('buyer_id')->nullable();
            $table->integer('product_id')->nullable();
            $table->float('custom_price')->nullable();
            $table->integer('supplier_id')->nullable();
            $table->string('slug', 60)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('customprices');
    }
}
