<?php

namespace B2buy\Customprice;

use DB;
use Illuminate\Database\Seeder;

class CustompriceTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('customprices')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'customprice.customprice.view',
                'name'      => 'View Customprice',
            ],
            [
                'slug'      => 'customprice.customprice.create',
                'name'      => 'Create Customprice',
            ],
            [
                'slug'      => 'customprice.customprice.edit',
                'name'      => 'Update Customprice',
            ],
            [
                'slug'      => 'customprice.customprice.delete',
                'name'      => 'Delete Customprice',
            ],
            
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/customprice/customprice',
                'name'        => 'Customprice',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/customprice/customprice',
                'name'        => 'Customprice',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'customprice',
                'name'        => 'Customprice',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Customprice',
                'module'    => 'Customprice',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'customprice.customprice.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
