Lavalite package that provides customprice management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `b2buy/customprice`.

    "b2buy/customprice": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    B2buy\Customprice\Providers\CustompriceServiceProvider::class,

And also add it to alias

    'Customprice'  => B2buy\Customprice\Facades\Customprice::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=B2buy\\CustompriceTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="B2buy\Customprice\Providers\CustompriceServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="B2buy\Customprice\Providers\CustompriceServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="B2buy\Customprice\Providers\CustompriceServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/customprice/{modulename}

**User**

    http://path-to-route-folder/user/customprice/{modulename}

**Public**

    http://path-to-route-folder/customprices


### API endpoints

**List**

    http://path-to-route-folder/api/user/customprice/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/customprice/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/customprice/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/customprice/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/customprice/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/customprice/{modulename}/{slug}
    METHOD: GET