<?php

// API routes  for customprice
Route::prefix('{guard}/customprice')->group(function () {
    Route::get('customprice/form/{element}', 'CustompriceAPIController@form');
    Route::resource('customprice', 'CustompriceAPIController');
});

// Public routes for customprice
Route::get('customprices/', 'CustompricePublicController@index');
Route::get('customprices/{slug?}', 'CustompricePublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for customprices
            Route::prefix('{guard}/customprice')->group(function () {
                Route::get('customprice/form/{element}', 'CustompriceAPIController@form');
                Route::apiResource('customprice', 'CustompriceAPIController');
            });
            // Public routes for customprices
            Route::get('customprice/Customprice', 'CustompricePublicController@getCustomprice');
        }
    );
}

