<?php

// web routes  for customprice
Route::prefix('{guard}/customprice')->group(function () {
    Route::resource('customprice', 'CustompriceResourceController');
});

// Public routes for customprice
Route::get('customprices/', 'CustompricePublicController@index');
Route::get('customprices/{slug?}', 'CustompricePublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'CustompriceResourceController');
            });
            // Public routes for pages
            Route::get('customprices/', 'CustompricePublicController@index');
            Route::get('customprices/{slug?}', 'CustompricePublicController@show');
        }
    );
}

