<?php

namespace B2buy\Customprice;

use User;

class Customprice
{
    /**
     * $customprice object.
     */
    protected $customprice;

    /**
     * Constructor.
     */
    public function __construct(\B2buy\Customprice\Interfaces\CustompriceRepositoryInterface $customprice)
    {
        $this->customprice = $customprice;
    }

    /**
     * Returns count of customprice.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.customprice.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->customprice->pushCriteria(new \Litepie\B2buy\Repositories\Criteria\CustompriceUserCriteria());
        }

        $customprice = $this->customprice->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('customprice::' . $view, compact('customprice'))->render();
    }
}
